leadsCreate leads and links to contact with contact ID

Create leads and links to contact with contact ID

curl -X POST "https://api.example.com/restapi/v1/leads/createLead" \
  -H "Content-Type: application/json" \
  -d '{
  "leadId": 123,
  "leadContact": 42,
  "firstName": "John Doe",
  "lastName": "John Doe",
  "company": "example_string",
  "leadCategory": 42,
  "leadOwner": 42,
  "leadComment": "example_string",
  "clientId": 123,
  "subject": "example_string",
  "setCompanyContact": true,
  "useContactComment": true
}'
[
  {
    "leadId": 123,
    "name": "John Doe",
    "sector": "example_string",
    "region": "example_string",
    "size": 42,
    "category": "example_string",
    "processor": "example_string",
    "rating": 42
  }
]
POST
/leads/createLead
POST
Base URLstring

Target server for requests. Edit to use your own host.

Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Responses

leadIdinteger
namestring
sectorstring
regionstring
sizeinteger
categorystring
processorstring
ratinginteger